# from detectron2.data import DatasetCatalog
from detectron2.data.datasets import register_coco_instances

dataset_root = "/mnt/home2/etri/ForestPersons_v3"

def register_missing_person_dataset_summer():
    # Register the dataset with Detectron2
    register_coco_instances("missing_person_train", {}, f"{dataset_root}/annotations/train_summer.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_val", {}, f"{dataset_root}/annotations/val_summer.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_test", {}, f"{dataset_root}/annotations/test.json", f"{dataset_root}/images")

def register_missing_person_dataset_fall():
    # Register the dataset with Detectron2
    register_coco_instances("missing_person_train", {}, f"{dataset_root}/annotations/train_fall.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_val", {}, f"{dataset_root}/annotations/val_fall.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_test", {}, f"{dataset_root}/annotations/test.json", f"{dataset_root}/images")
    
def register_missing_person_dataset_winter():
    # Register the dataset with Detectron2
    register_coco_instances("missing_person_train", {}, f"{dataset_root}/annotations/train_winter.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_val", {}, f"{dataset_root}/annotations/val_winter.json", f"{dataset_root}/images")
    register_coco_instances("missing_person_test", {}, f"{dataset_root}/annotations/test.json", f"{dataset_root}/images")